BizKitHub
DocsAPI ReferenceWebhook/bff/webhook/update
postWebhookAdmin BFF

/bff/webhook/update

Update a webhook endpoint

WebhookpostBffWebhookUpdate

Parameters

JSON body

Request body

application/json
idstringRequired
urlstringOptional
Length: 0–1024
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
eventsstring[]Optional
isActivebooleanOptional

Response schema

1 status code documented

200Success
state"ok"Required

Response example

application/json
{
  "state": "ok"
}

Request example

POST /bff/webhook/update

post
curl -X POST "https://api.bizkithub.com/bff/webhook/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "url": "example_url",
  "events": [
    "string"
  ],
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key